Bulk create subscriptions for a specific status page
curl --request POST \
--url https://api.checklyhq.com/v1/status-pages/{statusPageId}/subscriptions/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscriptions": [
{
"type": "EMAIL",
"config": "<string>"
}
]
}
'import requests
url = "https://api.checklyhq.com/v1/status-pages/{statusPageId}/subscriptions/bulk"
payload = { "subscriptions": [
{
"type": "EMAIL",
"config": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({subscriptions: [{type: 'EMAIL', config: '<string>'}]})
};
fetch('https://api.checklyhq.com/v1/status-pages/{statusPageId}/subscriptions/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"skipped": 123
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}Status Page Subscribers
Bulk create subscriptions for a specific status page
Bulk create subscriptions for a specific status page.
POST
/
v1
/
status-pages
/
{statusPageId}
/
subscriptions
/
bulk
Bulk create subscriptions for a specific status page
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Path Parameters
Body
application/json
The list of subscriptions to create (max 100).
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Was this page helpful?
⌘I